import { ArticleItem, Base, Config } from '../base';
export declare class Csdn extends Base {
    headers: {
        'user-agent': string;
        accept: string;
        'accept-encoding': string;
        'accept-language': string;
        'cache-control': string;
        pragma: string;
        'sec-fetch-dest': string;
        'sec-fetch-mode': string;
        'sec-fetch-site': string;
        'upgrade-insecure-requests': string;
    };
    constructor(config: Config);
    idTimeMap: Map<number, string>;
    getMain(): Promise<number[]>;
    getByPage(id: number): Promise<ArticleItem>;
    getByApi(id: number): Promise<ArticleItem>;
    run(): Promise<ArticleItem[]>;
}
