import { ArticleItem, Base } from '../base';
interface Config {
    /**
     * 用户
     */
    userId: string;
    /**
     * 输出路径
     */
    output: string;
    /**
     * cookie? 掘金也可以支持cookie，保证拿到markdown
     */
    cookie?: string;
}
export declare class Juejin extends Base<Config> {
    headers: {};
    getMain(): Promise<string[]>;
    getDetail(id: string): Promise<ArticleItem>;
    getDetail2(draftId: string): Promise<ArticleItem>;
    run(): Promise<ArticleItem[]>;
}
export {};
